<script lang="ts">
  import { suitClass, suitEmoji } from "../card/cardUtils";

  export let suit: Suit;

  $: emoji = suitEmoji(suit);
  $: cls = suitClass(suit);
</script>

<span class="emoji {cls}">
  {emoji}
</span>

<style>
  .emoji {
    text-shadow: 0 0 0.075em #000a;
  }

  .suit-a {
    filter: grayscale(100%) brightness(75%);
  }
  .suit-b {
    filter: grayscale(100%);
  }
  .suit-c {
    filter: grayscale(100%) brightness(110%);
  }
</style>
